org.apache.ignite.igfs.mapreduce.records

## Class IgfsNewLineRecordResolver

- java.lang.Object
- - org.apache.ignite.igfs.mapreduce.records.IgfsByteDelimiterRecordResolver
  - - org.apache.ignite.igfs.mapreduce.records.IgfsNewLineRecordResolver

All Implemented Interfaces:
  Externalizable, Serializable, IgfsRecordResolver

    public class IgfsNewLineRecordResolver
    extends IgfsByteDelimiterRecordResolver

Record resolver based on new line detection. This resolver can detect new lines based on '\n' or '\r\n' sequences.

Note that this resolver cannot be created and has one constant implementations: `NEW_LINE`.

See Also:
  Serialized Form

### Field Summary

Fields
`static IgfsNewLineRecordResolver` `NEW_LINE` Singleton new line resolver.
`static byte` `SYM_CR` CR symbol.
`static byte` `SYM_LF` LF symbol.

### Constructor Summary

Constructors
Constructor and Description
`IgfsNewLineRecordResolver()` Empty constructor required for `Externalizable` support.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.igfs.mapreduce.records.IgfsByteDelimiterRecordResolver

`readExternal, resolveRecords, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NEW_LINE

    public static final IgfsNewLineRecordResolver NEW_LINE

Singleton new line resolver. This resolver will resolve records based on new lines regardless if they have '\n' or '\r\n' patterns.

#### SYM_CR

    public static final byte SYM_CR

CR symbol.

See Also:
  Constant Field Values

#### SYM_LF

    public static final byte SYM_LF

LF symbol.

See Also:
  Constant Field Values

### Constructor Detail

#### IgfsNewLineRecordResolver

    public IgfsNewLineRecordResolver()

Empty constructor required for `Externalizable` support.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `IgfsByteDelimiterRecordResolver`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018